Index: bin/deps-and-gyp |
diff --git a/bin/sync-and-gyp b/bin/deps-and-gyp |
old mode 100755 |
new mode 100644 |
similarity index 65% |
copy from bin/sync-and-gyp |
copy to bin/deps-and-gyp |
index 8b3cfa97feedd959a7cfd53a8343281091df5099..f39fc69135946a7b88993ce44d0e414301e81eaa |
--- a/bin/sync-and-gyp |
+++ b/bin/deps-and-gyp |
@@ -8,33 +8,34 @@ |
# This script will update Skia's dependenciess as necessary and run |
# gyp if needed. |
-# Example usage (assumes Posix-standard shell, git installed): |
+# Depends on: Posix-compliant shell, Python, and Git. |
+# |
+# Example usage: |
# |
-# git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git |
-# export PATH="${PWD}/depot_tools:${PATH}" |
# git clone https://skia.googlesource.com/skia |
# cd skia |
-# bin/sync-and-gyp && ninja -C out/Debug |
-# out/Debug/dm |
+# bin/deps-and-gyp |
+# ninja -C out/Debug && out/Debug/dm |
# |
-# Once changes are made to DEPS or gyp/ or the source, recompile Skia with: |
+# Once changes are made to DEPS or gyp/ or the source, call: |
# |
-# ${skiadir}/bin/sync-and-gyp && ninja -C ${skiadir}/out/Debug |
- |
-cd "$(dirname "$0")/.." |
+# bin/deps-and-gyp |
-if ! [ -f .gclient ] ; then |
- gclient config --unmanaged 'https://skia.googlesource.com/skia' |
- printf ',s/"skia"/"."/\nwq\n' | ed .gclient |
+if [ "$SKIA_OUT" ]; then |
+ mkdir -p "$SKIA_OUT" || exit |
+ # get non-relative path of $SKIA_OUT before changing directory. |
+ SKIA_OUT="$(cd "$SKIA_OUT"; pwd)" |
fi |
+cd "$(dirname "$0")/.." |
+ |
if ! [ -f DEPS ]; then |
echo DEPS file missing >&2 |
exit 1 |
fi |
if [ "$(git hash-object DEPS)" != "$(git config sync-deps.last)" ] ; then |
- gclient sync || exit |
+ GIT_SYNC_DEPS_QUIET=1 python tools/git-sync-deps || exit |
git config sync-deps.last "$(git hash-object DEPS)" |
fi |